
import os
import re
import sys
import time
import glob
import json
import shutil
import zipfile
import tarfile

def zip_directory(input_directory, output_zipfile):
    """
    将指定目录打包成zip文件。
    """
    with zipfile.ZipFile(output_zipfile, 'w') as zipf:
        for root, dirs, files in os.walk(input_directory):
            for file in files:
                zipf.write(os.path.join(root, file), 
                           os.path.relpath(os.path.join(root, file), 
                                           input_directory))
    return output_zipfile

